Bug 895367

Summary: PDFs either do not open, or do not display correctly in Mac OS viewers
Product: [Community] Publican Reporter: Jared MORGAN <jmorgan>
Component: publicanAssignee: Jeff Fearn <jfearn>
Status: CLOSED CURRENTRELEASE QA Contact: tools-bugs <tools-bugs>
Severity: unspecified Docs Contact:
Priority: medium    
Version: 3.0CC: mmurray, rglasz, rlandman
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Mac OS   
Whiteboard:
Fixed In Version: 3.1.5 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-07-04 01:57:08 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
PDF file that does not open correctly on OSX none

Description Jared MORGAN 2013-01-15 01:30:31 EST
Created attachment 678657 [details]
PDF file that does not open correctly on OSX

Description of problem:

PDF files generated on Linux systems can not be viewed on the majority of Mac OS PDF viewers.

Version-Release number of selected component (if applicable):

v3.0

How reproducible:

100% for the following:

Safari, GoodReader, iBooks, System Preview, pdfpen

Kindle Desktop app opens the attached file, and displays it perfectly. 

Steps to Reproduce:

1. Download the PDF from https://github.com/jaredmorgs/USB_BT_Joystick_Center/blob/master/tmp/en-US/pdf/USB_BT_Joystick_Center-6-USB_BT_Joystick_Center-en-US.pdf (also attached to this ticket for convenience)
1a. Alternatively, check out the source and build on fedora or RHEL and then transfer the PDF to Mac.
2. Open the file in each PDF viewer.
3. View the varying results.
  
Actual results:

System Preview (the default reader on OSX) says the file is corrupt, and will not open it.

pdfpen displays what appears to be blank pages, but if you click and drag you can select text.  You still can't read it, but you can copy and paste it into a text doc and read what you copied.  also if you happen to click on an image and drag it the image becomes visible.

Expected results:

Publican creates PDFs that can be opened in System Preview at a minimum, and the other apps ideally.

Additional info:

Darrin helped me test this out using the programs specified.

It is worth noting that the PDF opens and displays fine on the Kindle Desktop program.

Darrin also reported PDFs created previously with wkhtmltopdf opened fine before, but did contain some issues with TOCs. He believed Laura opened issues about this. 

I have tried on Android, and the PDF opens correctly using Polaris Office.
Comment 1 Jeff Fearn 2013-04-17 23:43:04 EDT
Hi Jared, can you check this with a PDF generated with publican 3.1.5 and wkhtmltopdf-0.10.0_rc2-6?
Comment 2 Jared MORGAN 2013-04-18 00:44:03 EDT
(In reply to comment #1)
> Hi Jared, can you check this with a PDF generated with publican 3.1.5 and
> wkhtmltopdf-0.10.0_rc2-6?

So I should just compile and package the latest publican trunk, and then install the RPM for testing, right? 

Then create a PDF and get some folks using Apple (like dmison) to test it out in the various apps. 

Then downgrade to ensure no issues with brewing, right? Usual testing procedure?

I'm still running Verison 3.0.